<!DOCTYPE html>
<html>
<head>
    <title>Manage project_faucets</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 20px;
        }
        h2 {
            color: #333;
        }
        form {
            margin-bottom: 20px;
        }
        label {
            display: block;
            margin-bottom: 5px;
            font-weight: bold;
        }
        input[type="text"], textarea {
            width: 100%;
            padding: 8px;
            margin-bottom: 10px;
            border: 1px solid #ccc;
            border-radius: 4px;
        }
        input[type="submit"] {
            background-color: #4CAF50;
            color: white;
            padding: 10px 20px;
            border: none;
            border-radius: 4px;
            cursor: pointer;
        }
        input[type="submit"]:hover {
            background-color: #45a049;
        }
        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 20px;
        }
        table, th, td {
            border: 1px solid black;
        }
        th, td {
            padding: 8px;
            text-align: left;
        }
        th {
            background-color: #f2f2f2;
        }
    </style>
    <link rel="shortcut icon" href="https://db.ruanabol.org/favicon.ico" type="image/x-icon">
</head>
<body>

<h2>Add new project</h2>
<form action="index.php" method="post">
    <input type="hidden" name="action" value="add">
    <label for="name">name:</label>
    <input type="text" id="name" name="name" required>

    <label for="title">title:</label>
    <input type="text" id="title" name="title" required>

    <label for="denom">denom:</label>
    <input type="text" id="denom" name="denom" required>

    <label for="category">category:</label>
    <input type="text" id="category" name="category" required>

    <label for="image">image (URL):</label>
    <input type="text" id="image" name="image" required>

    <label for="link">link:</label>
    <input type="text" id="link" name="link" required>

    <label for="mini_details">mini_details:</label>
    <textarea id="mini_details" name="mini_details" required></textarea>

    <label for="chainId">chainId:</label>
    <textarea id="chainId" name="chainId" required></textarea>

    <label for="coin">coin:</label>
    <textarea id="coin" name="coin" required></textarea>

    <label for="rpc">rpc:</label>
    <input type="text" id="rpc" name="rpc" required>

    <label for="api">api:</label>
    <input type="text" id="api" name="api" required>

    <label for="prefix">prefix:</label>
    <input type="text" id="prefix" name="prefix" required>

    <label for="gas_price">gas_price:</label>
    <input type="text" id="gas_price" name="gas_price" required>

    <input type="submit" value="Add">
</form>

<h2>Update existing project</h2>
<form action="index.php" method="post">
    <input type="hidden" name="action" value="update">
    <label for="id">ID:</label>
    <input type="text" id="id" name="id" required>

    <label for="field">Field to Update:</label>
    <input type="text" id="field" name="field" required>

    <label for="value">New Value:</label>
    <input type="text" id="value" name="value" required>

    <input type="submit" value="Update">
</form>

<h2>Delete a project</h2>
<form action="index.php" method="post">
    <input type="hidden" name="action" value="delete">
    <label for="id">ID:</label>
    <input type="text" id="id" name="id" required>

    <input type="submit" value="Delete">
</form>

<h2>Existing project_faucets</h2>
<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);

$servername = '127.0.0.1';
$username = 'bro';
$password = 'zelfxkbd';
$dbname = 'faucets';

// Проверка подключения
if (!extension_loaded('mysqli')) {
    die('Error: The mysqli extension is not loaded.');
}

// Создаем подключение
$conn = new mysqli($servername, $username, $password, $dbname);

// Проверяем подключение
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Обработка форм
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $action = $_POST['action'];

    if ($action == 'add') {
        // Получаем данные из формы
        $name = $conn->real_escape_string($_POST['name']);
        $title = $conn->real_escape_string($_POST['title']);
        $denom = $conn->real_escape_string($_POST['denom']);
        $category = $conn->real_escape_string($_POST['category']);
        $image = $conn->real_escape_string($_POST['image']);
        $link = $conn->real_escape_string($_POST['link']);
        $mini_details = $conn->real_escape_string($_POST['mini_details']);
        $chainId = $conn->real_escape_string($_POST['chainId']);
        $coin = $conn->real_escape_string($_POST['coin']);
        $rpc = $conn->real_escape_string($_POST['rpc']);
        $api = $conn->real_escape_string($_POST['api']);
        $prefix = $conn->real_escape_string($_POST['prefix']);
        $gas_price = $conn->real_escape_string($_POST['gas_price']);

        // SQL запрос для вставки данных
        $sql = "INSERT INTO project_faucets (name, title, denom, category, image, link, mini_details, chainId, coin, rpc, api, prefix, gas_price) VALUES ('$name', '$title', '$denom', '$category', '$image', '$link', '$mini_details', '$chainId', '$coin', '$rpc', '$api', '$prefix', '$gas_price')";

        if ($conn->query($sql) === TRUE) {
            // Перенаправление после успешного добавления
            header("Location: index.php");
            exit();
        } else {
            echo "Error: " . $sql . "<br>" . $conn->error;
        }
    } elseif ($action == 'update') {
        // Получаем данные из формы
        $id = $conn->real_escape_string($_POST['id']);
        $field = $conn->real_escape_string($_POST['field']);
        $value = $conn->real_escape_string($_POST['value']);

        // SQL запрос для обновления данных
        $sql = "UPDATE project_faucets SET $field='$value' WHERE id='$id'";

        if ($conn->query($sql) === TRUE) {
            echo "Record updated successfully";
        } else {
            echo "Error: " . $sql . "<br>" . $conn->error;
        }
    } elseif ($action == 'delete') {
        // Получаем данные из формы
        $id = $conn->real_escape_string($_POST['id']);

        // SQL запрос для удаления данных
        $sql = "DELETE FROM project_faucets WHERE id='$id'";

        if ($conn->query($sql) === TRUE) {
            echo "Record deleted successfully";
        } else {
            echo "Error: " . $sql . "<br>" . $conn->error;
        }
    }
}

// Получение всех записей
$sql = "SELECT * FROM project_faucets";
$result = $conn->query($sql);

if ($result->num_rows > 0) {
    echo "<table>";
    echo "<tr><th>ID</th><th>name</th><th>title</th><th>denom</th><th>category</th><th>image</th><th>link</th><th>mini_details</th><th>chainId</th><th>coin</th><th>rpc</th><th>api</th><th>prefix</th><th>gas_price</th></tr>";
    // Выводим данные каждой строки
    while($row = $result->fetch_assoc()) {
        echo "<tr><td>" . $row["id"]. "</td><td>" . $row["name"]. "</td><td>" . $row["title"]. "</td><td>" . $row["denom"]. "</td><td>" . $row["category"]. "</td><td>" . $row["image"]. "</td><td>" . $row["link"]. "</td><td>" . $row["mini_details"]. "</td><td>" . $row["chainId"]. "</td><td>" . $row["coin"]. "</td><td>". $row["rpc"]. "</td><td>" . $row["api"]. "</td><td>" . $row["prefix"]. "</td><td>" . $row["gas_price"]. "</td></tr>";
    }
    echo "</table>";
} else {
    echo "0 results";
}

$conn->close();
?>

</body>
</html>
